Loading...
Searching...
No Matches
seqan3::align_cfg::detail::result_type< alignment_result_t > Class Template Reference
Sequence Alignment » Configuration

Configuration element capturing the configured seqan3::alignment_result for the alignment algorithm. More...

`#include <seqan3/alignment/configuration/align_config_result_type.hpp>`

Inheritance diagram for seqan3::align_cfg::detail::result_type< alignment_result_t >:
[legend]

## Public Types

using | type = alignment_result_t
| The result type.

## Public Member Functions

Constructor, destructor and assignment
constexpr | result_type ()=default
| Defaulted.
constexpr | result_type (result_type const &)=default
| Defaulted.
constexpr | result_type (result_type &&)=default
| Defaulted.
constexpr result_type & | operator= (result_type const &)=default
| Defaulted.
constexpr result_type & | operator= (result_type &&)=default
| Defaulted.
| ~result_type ()=default
| Defaulted.

## Static Public Attributes

static constexpr seqan3::detail::align_config_id | id {seqan3::detail::align_config_id::result_type}
| Internal id to check for consistent configuration settings.

## Detailed Description

template<typename alignment_result_t>
requires seqan3::detail::is_type_specialisation_of_v<alignment_result_t, seqan3::alignment_result>
class seqan3::align_cfg::detail::result_type< alignment_result_t >

Configuration element capturing the configured seqan3::alignment_result for the alignment algorithm.

Template Parameters

  alignment_result_t | The alignment result type to capture; must be a type specialisation of seqan3::alignment_result.

This configuration element allows to capture the concrete seqan3::alignment_result type after configuring the alignment algorithm with the seqan3::detail::alignment_configurator. The actual result type is wrapped in std::type_identity to preserve the trivial type properties of the configuration element. Thus, on access the actual type needs to be unwrapped using the member typedef type before it can be used. The result type can be accessed via the seqan3::detail::alignment_configuration_traits over the corresponding alignment configuration type. If the captured alignment result wasn't added yet to the alignment configuration the corresponding result type member will deduce to seqan3::detail::empty_type.

Note
  This configuration element is only added internally during the alignment configuration and is not intended for public use.

The documentation for this class was generated from the following file:

- align_config_result_type.hpp

Hide me